package com.chenyang.nse.bussiness.webtools.entity.vo;

public class SequenceVO {
   private String sequenceName;
   private Long minValue;
   private Long maxValue;
   private Long incrementBy;
   private Long lastNumber;
   private Long cacheSize;
   private String cycleFlag;
   private String orderFlag;

   public String getSequenceName() {
      return this.sequenceName;
   }

   public Long getMinValue() {
      return this.minValue;
   }

   public Long getMaxValue() {
      return this.maxValue;
   }

   public Long getIncrementBy() {
      return this.incrementBy;
   }

   public Long getLastNumber() {
      return this.lastNumber;
   }

   public Long getCacheSize() {
      return this.cacheSize;
   }

   public String getCycleFlag() {
      return this.cycleFlag;
   }

   public String getOrderFlag() {
      return this.orderFlag;
   }

   public void setSequenceName(final String sequenceName) {
      this.sequenceName = sequenceName;
   }

   public void setMinValue(final Long minValue) {
      this.minValue = minValue;
   }

   public void setMaxValue(final Long maxValue) {
      this.maxValue = maxValue;
   }

   public void setIncrementBy(final Long incrementBy) {
      this.incrementBy = incrementBy;
   }

   public void setLastNumber(final Long lastNumber) {
      this.lastNumber = lastNumber;
   }

   public void setCacheSize(final Long cacheSize) {
      this.cacheSize = cacheSize;
   }

   public void setCycleFlag(final String cycleFlag) {
      this.cycleFlag = cycleFlag;
   }

   public void setOrderFlag(final String orderFlag) {
      this.orderFlag = orderFlag;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SequenceVO)) {
         return false;
      } else {
         SequenceVO other = (SequenceVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$sequenceName = this.getSequenceName();
            Object other$sequenceName = other.getSequenceName();
            if (this$sequenceName == null) {
               if (other$sequenceName != null) {
                  return false;
               }
            } else if (!this$sequenceName.equals(other$sequenceName)) {
               return false;
            }

            Object this$minValue = this.getMinValue();
            Object other$minValue = other.getMinValue();
            if (this$minValue == null) {
               if (other$minValue != null) {
                  return false;
               }
            } else if (!this$minValue.equals(other$minValue)) {
               return false;
            }

            Object this$maxValue = this.getMaxValue();
            Object other$maxValue = other.getMaxValue();
            if (this$maxValue == null) {
               if (other$maxValue != null) {
                  return false;
               }
            } else if (!this$maxValue.equals(other$maxValue)) {
               return false;
            }

            Object this$incrementBy = this.getIncrementBy();
            Object other$incrementBy = other.getIncrementBy();
            if (this$incrementBy == null) {
               if (other$incrementBy != null) {
                  return false;
               }
            } else if (!this$incrementBy.equals(other$incrementBy)) {
               return false;
            }

            Object this$lastNumber = this.getLastNumber();
            Object other$lastNumber = other.getLastNumber();
            if (this$lastNumber == null) {
               if (other$lastNumber != null) {
                  return false;
               }
            } else if (!this$lastNumber.equals(other$lastNumber)) {
               return false;
            }

            Object this$cacheSize = this.getCacheSize();
            Object other$cacheSize = other.getCacheSize();
            if (this$cacheSize == null) {
               if (other$cacheSize != null) {
                  return false;
               }
            } else if (!this$cacheSize.equals(other$cacheSize)) {
               return false;
            }

            Object this$cycleFlag = this.getCycleFlag();
            Object other$cycleFlag = other.getCycleFlag();
            if (this$cycleFlag == null) {
               if (other$cycleFlag != null) {
                  return false;
               }
            } else if (!this$cycleFlag.equals(other$cycleFlag)) {
               return false;
            }

            Object this$orderFlag = this.getOrderFlag();
            Object other$orderFlag = other.getOrderFlag();
            if (this$orderFlag == null) {
               if (other$orderFlag != null) {
                  return false;
               }
            } else if (!this$orderFlag.equals(other$orderFlag)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SequenceVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $sequenceName = this.getSequenceName();
      result = result * 59 + ($sequenceName == null ? 43 : $sequenceName.hashCode());
      Object $minValue = this.getMinValue();
      result = result * 59 + ($minValue == null ? 43 : $minValue.hashCode());
      Object $maxValue = this.getMaxValue();
      result = result * 59 + ($maxValue == null ? 43 : $maxValue.hashCode());
      Object $incrementBy = this.getIncrementBy();
      result = result * 59 + ($incrementBy == null ? 43 : $incrementBy.hashCode());
      Object $lastNumber = this.getLastNumber();
      result = result * 59 + ($lastNumber == null ? 43 : $lastNumber.hashCode());
      Object $cacheSize = this.getCacheSize();
      result = result * 59 + ($cacheSize == null ? 43 : $cacheSize.hashCode());
      Object $cycleFlag = this.getCycleFlag();
      result = result * 59 + ($cycleFlag == null ? 43 : $cycleFlag.hashCode());
      Object $orderFlag = this.getOrderFlag();
      result = result * 59 + ($orderFlag == null ? 43 : $orderFlag.hashCode());
      return result;
   }

   public String toString() {
      return "SequenceVO(sequenceName=" + this.getSequenceName() + ", minValue=" + this.getMinValue() + ", maxValue=" + this.getMaxValue() + ", incrementBy=" + this.getIncrementBy() + ", lastNumber=" + this.getLastNumber() + ", cacheSize=" + this.getCacheSize() + ", cycleFlag=" + this.getCycleFlag() + ", orderFlag=" + this.getOrderFlag() + ")";
   }
}
